Compute Cloud API, REST: Image.Create
Creates an image in the specified folder.
You can create an image from a disk, snapshot, other image or URI.
Method starts an asynchronous operation that can be cancelled while it is in progress.
HTTP request
POST https://compute.api.yandexcloud.kz/compute/v1/images
Body parameters
{
"folderId": "string",
"name": "string",
"description": "string",
"labels": "object",
"family": "string",
"minDiskSize": "string",
"productIds": [
"string"
],
// Includes only one of the fields `imageId`, `diskId`, `snapshotId`, `uri`
"imageId": "string",
"diskId": "string",
"snapshotId": "string",
"uri": "string",
// end of the list of possible fields
"os": {
"type": "string",
"nvidia": {
"driver": "string"
}
},
"pooled": "boolean",
"hardwareGeneration": {
// Includes only one of the fields `legacyFeatures`, `generation2Features`
"legacyFeatures": {
"pciTopology": "string"
},
"generation2Features": "object"
// end of the list of possible fields
}
}
|
Field |
Description |
|
folderId |
string ID of the folder to create an image in. |
|
name |
string Name of the image. |
|
description |
string Description of the image. |
|
labels |
object (map<string, string>) Resource labels as |
|
family |
string The name of the image family to which this image belongs. For more information, see Image family. |
|
minDiskSize |
string (int64) Minimum size of the disk that will be created from this image. |
|
productIds[] |
string License IDs that indicate which licenses are attached to this resource. |
|
imageId |
string ID of the source image to create the new image from. Includes only one of the fields Only one field must by specified. |
|
diskId |
string ID of the disk to create the image from. Includes only one of the fields Only one field must by specified. |
|
snapshotId |
string ID of the snapshot to create the image from. Includes only one of the fields Only one field must by specified. |
|
uri |
string URI of the source image to create the new image from. Includes only one of the fields Only one field must by specified. |
|
os |
Operating system that is contained in the image. |
|
pooled |
boolean When true, an image pool will be created for fast creation disks from the image. |
|
hardwareGeneration |
Specify the overrides to hardware_generation of a source disk, image or snapshot, |
Os
|
Field |
Description |
|
type |
enum (Type) Operating system type. The default is This field is used to correctly emulate a vCPU and calculate the cost of using an instance.
|
|
nvidia |
Gpu type. |
Nvidia
|
Field |
Description |
|
driver |
string Gpu driver version. |
HardwareGeneration
A set of features, specific to a particular Compute hardware generation.
They are not necessary supported by every host OS or distro, thus they are fixed to an image
and are applied to all instances created with it as their boot disk image.
These features significantly determine how the instance is created, thus cannot be changed after the fact.
|
Field |
Description |
|
legacyFeatures |
Includes only one of the fields |
|
generation2Features |
object Includes only one of the fields |
LegacyHardwareFeatures
A first hardware generation, by default compatible with all legacy images.
Allows switching to PCI_TOPOLOGY_V2 and back.
|
Field |
Description |
|
pciTopology |
enum (PCITopology)
|
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |